View Issue Details

IDProjectCategoryView StatusLast Update
0023420mantisbtrelationshipspublic2017-10-08 23:52
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023420: Resolving as duplicate adds reporter and handler to monitoring list
Description

Just wondered why user didaquis removed himself from monitoring list of 0023415

When setting status of issue I1 to resolved and resolution to duplicate of issue I2, the reporter and the handler of I1 is added to the monitoring list of issue I2 (ok) and I1 (IMO not ok and a changed behavior compared to 1.2.x,)

Adding to the monitoring list of I1 makes not that much sense as

  • reporter has I1 already on his list Reported by me, handler has it on his list assigned to me
  • reporter and handler get already notifications for I1
  • there is typically no activity on I1 after setting to resolved
TagsNo tags attached.

Relationships

has duplicate 0019839 closedatrol Unnecessary data created when resolving issues as duplicate 

Activities

Related Changesets

MantisBT: master b49e3d4f

2017-10-01 14:45:17

atrol

Details Diff
Don't add users to monitoring list when resolving an issue as duplicate

Fixes 0023420
mod - bug_update.php Diff File

Issue History

Date Modified Username Field Change
2017-10-01 05:37 atrol New Issue
2017-10-01 14:33 atrol Summary Resolving as duplicate adds reporter to monitoring list => Resolving as duplicate adds reporter and handler to monitoring list
2017-10-01 14:33 atrol Description Updated View Revisions
2017-10-01 14:53 atrol Assigned To => atrol
2017-10-01 14:53 atrol Status new => assigned
2017-10-01 14:53 atrol Target Version => 2.7.0
2017-10-01 14:54 atrol Note Added: 0057867
2017-10-02 16:16 atrol Relationship added has duplicate 0019839
2017-10-04 03:39 atrol Changeset attached => MantisBT master b49e3d4f
2017-10-04 03:39 atrol Status assigned => resolved
2017-10-04 03:39 atrol Resolution open => fixed
2017-10-04 03:39 atrol Fixed in Version => 2.7.0
2017-10-08 23:52 vboctor Status resolved => closed